Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class Page

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.BaseManagedRenderer
            |
            +--oracle.portal.provider.v1.http.Page

Direct Known Subclasses:
  FileRenderer, JspRenderer

public abstract class Page
extends BaseManagedRenderer

Class for describing individual pages owned by a `PortletPageLocator`. Properties set at this level will override those set at the parent (`PortletPageLocator`) level.

Constructor Summary
`Page()`

Method Summary
`java.lang.String` | `getAppPath()` Gets the root virtual path for the renderer's pages.
`java.lang.String` | `getAppRoot()` Gets the root physical path for the renderer's pages.
`java.lang.String` | `getName()` Gets the name of the page described by this `Page`.
`java.lang.String` | `getPageParameterName()` Gets the name of the request parameter used to override the name of the registered page.
`java.lang.String` | `getPagePath(PortletRenderRequest pr)` Returns the virtual path to the page represented by this `Page`, overriding the page name if the given request contains a parameter with a name matching the name returned by the `getPageParameterName()` method.
`java.lang.String` | `getPageRealPath(PortletRenderRequest pr)` Returns the physical path to the page represented by this `Page`, overriding the page name if the given request contains a parameter with a name matching the name returned by the `getPageParameterName()` method.
`void` | `setAppPath(java.lang.String path)` Sets the root virtual path for the renderer's pages.
`void` | `setAppRoot(java.lang.String path)` Sets the root physical path for the renderer's pages.
`void` | `setName(java.lang.String pageName)` Sets the name of the page described by this `Page`.
`void` | `setPageParameterName(java.lang.String paramName)` Sets the name of the request parameter that is used to override the name of the registered page.

Methods inherited from class oracle.portal.provider.v1.http.BaseManagedRenderer
`getCharSet, getContentType, getPageExpires, postInitialize, preInitialize, prepareResponse, setCharSet, setContentType, setPageExpires, setPageExpires`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Page

    public Page()

Method Detail

### setName

    public void setName(java.lang.String pageName)

  Sets the name of the page described by this `Page`.
  Parameters:
    `pageName` - `appPath` relative name of the page

### getName

    public java.lang.String getName()

  Gets the name of the page described by this `Page`.
  Returns:
    `appPath` relative name of the page

### setAppPath

    public void setAppPath(java.lang.String path)

  Sets the root virtual path for the renderer's pages.
  Parameters:
    `path` - the root virtual path for the render's pages.

### getAppPath

    public java.lang.String getAppPath()

  Gets the root virtual path for the renderer's pages. If a virtual path hasn't been set explicitly on this `BaseManagedRenderer`, then the value returned by calling the `PortletPageLocator.getAppPath()` method on the parent `PortletPageLocator` is returned.
  Returns:
    the root virtual path for the renderer's pages.

### setAppRoot

    public void setAppRoot(java.lang.String path)

  Sets the root physical path for the renderer's pages.
  Parameters:
    `path` - the root physical path for the renderer's pages.

### getAppRoot

    public java.lang.String getAppRoot()

  Gets the root physical path for the renderer's pages. If a physical path hasn't been set explicitly on this `BaseManagedRenderer`, then the value returned by calling the `PortletPageLocator.getAppRoot()` method on the parent `PortletPageLocator` is returned.
  Returns:
    the root physical path for the renderer's pages.

### setPageParameterName

    public void setPageParameterName(java.lang.String paramName)

  Sets the name of the request parameter that is used to override the name of the registered page. Used to communicate the "next" page in a portlet that uses multiple pages to render itself.
  Parameters:
    `paramName` - the name of the request parameter used to override the name of the registered page.

### getPageParameterName

    public java.lang.String getPageParameterName()

  Gets the name of the request parameter used to override the name of the registered page. If a parameter name hasn't been set explicitly on this `BaseManagedRenderer`, then the value returned by calling the `PortletPageLocator.getPageParameterName()` method on the parent `PortletPageLocator` is returned.
  Returns:
    the name of the request parameter used to override the name of the registered page.

### getPagePath

    public java.lang.String getPagePath(PortletRenderRequest pr)

  Returns the virtual path to the page represented by this `Page`, overriding the page name if the given request contains a parameter with a name matching the name returned by the `getPageParameterName()` method.
  Parameters:
    `pr` - the current render request
  Returns:
    virtual path to the page

### getPageRealPath

    public java.lang.String getPageRealPath(PortletRenderRequest pr)

  Returns the physical path to the page represented by this `Page`, overriding the page name if the given request contains a parameter with a name matching the name returned by the `getPageParameterName()` method.
  Parameters:
    `pr` - the current render request
  Returns:
    physical path to the page

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD